## ros-lunar-octomap-msgs 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(octomap_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation geometry_msgs std_msgs)

include_directories(include)

add_message_files(
  DIRECTORY msg
  FILES Octomap.msg OctomapWithPose.msg
  )

add_service_files(
  DIRECTORY srv
  FILES GetOctomap.srv BoundingBoxQuery.srv
)

generate_messages(DEPENDENCIES std_msgs geometry_msgs)

catkin_package(DEPENDS message_runtime geometry_msgs std_msgs
               INCLUDE_DIRS include
)

install(DIRECTORY include/
        DESTINATION include
        FILES_MATCHING PATTERN "*.h"
        PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-lunar-octomap-msgs (0.3.3-0stretch) stretch; urgency=high

  * Fix for binary ColorOcTrees messages
  * Removed check for "OcTree" id in binary deserialization, see Issue #4 <https://github.com/OctoMap/octomap_msgs/issues/4> and #5 <https://github.com/OctoMap/octomap_msgs/issues/5>
  * Contributors: Armin Hornung, Felix Endres

 -- Armin Hornung <armin@hornung.io>  Fri, 10 Jun 2016 22:00:00 -0000

ros-lunar-octomap-msgs (0.3.2-0stretch) stretch; urgency=high

  * Fixing issue octomap_rviz_plugins/#10: Allow deserializing an empty octree
  * Contributors: Armin Hornung

 -- Armin Hornung <armin@hornung.io>  Thu, 06 Nov 2014 23:00:00 -0000

ros-lunar-octomap-msgs (0.3.1-0stretch) stretch; urgency=high

  * Removed [binary|full]MsgDataToMap, created only incomplete OctoMap objects
    Replacement: use [binary|full]MsgToMap or msgToMap()

 -- Armin Hornung <armin@hornung.io>  Sun, 14 Jul 2013 22:00:00 -0000

ros-lunar-octomap-msgs (0.3.0-0stretch) stretch; urgency=high

  * Removed deprecated conversions

 -- Armin Hornung <armin@hornung.io>  Mon, 01 Apr 2013 22:00:00 -0000

ros-lunar-octomap-msgs (0.2.9-0stretch) stretch; urgency=high

  * Fix: octree resolution is double, not float

 -- Armin Hornung <armin@hornung.io>  Wed, 16 Jan 2013 23:00:00 -0000

ros-lunar-octomap-msgs (0.2.8-0stretch) stretch; urgency=high

  * Fixed msg resolution field, binaryMsgToMap

 -- Armin Hornung <armin@hornung.io>  Mon, 07 Jan 2013 23:00:00 -0000

ros-lunar-octomap-msgs (0.2.7-0stretch) stretch; urgency=high

  * fixed package.xml depends / build_depend

 -- Armin Hornung <armin@hornung.io>  Wed, 02 Jan 2013 23:00:00 -0000

ros-lunar-octomap-msgs (0.2.6-0stretch) stretch; urgency=high

  * adjusted message generation to recent catkin changes & switched version to 0.2.6

 -- Armin Hornung <armin@hornung.io>  Sun, 16 Dec 2012 23:00:00 -0000

ros-lunar-octomap-msgs (0.2.5-0stretch) stretch; urgency=high

  * more catkin fixing
  * copyright is not supported for package.xml
  * moving catkin_package() after generate_messages() per latest changes to catkin

 -- Armin Hornung <armin@hornung.io>  Fri, 07 Dec 2012 23:00:00 -0000

ros-lunar-octomap-msgs (0.2.3-0stretch) stretch; urgency=high

  * comply to the new catkin API
  * add function to convert a message to map
  * changed message format to contain only data, meta information stored in new message fields (untested for Groovy)
  * documentation, fixes
  * remove id from message and bump stack version
  * New octomap_msg (de-) serialization / conversion functions from and to messages; old ones are now deprecated

 -- Armin Hornung <armin@hornung.io>  Thu, 11 Oct 2012 22:00:00 -0000

ros-lunar-octomap-msgs (0.1.1-0stretch) stretch; urgency=high

  * missing includes added

 -- Armin Hornung <armin@hornung.io>  Fri, 20 Apr 2012 12:16:00 -0000

ros-lunar-octomap-msgs (0.1.0-0stretch) stretch; urgency=high

  * Turned octomap_msgs and octomap_ros into unary stacks, code in octomap_mapping adjusted

 -- Armin Hornung <armin@hornung.io>  Fri, 20 Apr 2012 08:22:00 -0000

=== debian/control ===
Source: ros-lunar-octomap-msgs
Section: misc
Priority: extra
Maintainer: Armin Hornung <armin@hornung.io>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-std-msgs
Homepage: http://ros.org/wiki/octomap_msgs
Standards-Version: 3.9.2

Package: ros-lunar-octomap-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-message-runtime, ros-lunar-std-msgs
Description: This package provides messages and serializations / conversion for the OctoMap library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-octomap-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
